Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452097 - Subpackage ntp to split out perl scripts
Summary: Subpackage ntp to split out perl scripts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 11:43 UTC by Chris Lalancette
Modified: 2008-07-28 11:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 11:11:35 UTC


Attachments (Terms of Use)
Patch to subpackage ntp auxiliary perl scripts (deleted)
2008-06-19 11:43 UTC, Chris Lalancette
no flags Details | Diff

Description Chris Lalancette 2008-06-19 11:43:20 UTC
Description of problem:
The oVirt project (http://ovirt.org) uses Fedora as the basis for building a
very small distribution (< 64MB compressed).  As part of that process, we
currently break the NTP perl dependency by just "rpm -e --nodeps perl". 
However, we prefer not to break rpm dependencies wherever possible.  Since NTP
only seems to use perl for two small auxiliary scripts, I propose subpackaging
those two scripts (with the associated man pages) into an ntp-perl package. 
That way we can use the main ntp package without perl for our small
distribution, and Fedora can continue to have the auxiliary scripts in the
subpackage.

I'm attaching a spec file patch (against what is currently in ntp/devel) that
does this; please consider for Fedora 10.

Comment 1 Chris Lalancette 2008-06-19 11:43:20 UTC
Created attachment 309844 [details]
Patch to subpackage ntp auxiliary perl scripts

Comment 2 Miroslav Lichvar 2008-06-19 12:09:08 UTC
Good idea, will be in the next release. Thanks.

Comment 3 Chris Lalancette 2008-06-21 12:36:52 UTC
Great, thanks for the quick response.

Chris Lalancette

Comment 4 Alan Pevec 2008-06-23 09:44:59 UTC
Just one thing, you don't need:
+%exclude %{_sbindir}/ntp-wait
+%exclude %{_sbindir}/ntptrace
+%exclude %{_mandir}/man8/ntptrace.8*

since there's an explicit list w/o wildcards in %files sections for each
sub-package.


Comment 5 Miroslav Lichvar 2008-07-28 11:11:35 UTC
Fixed in ntp-4.2.4p4-7.fc10.


Note You need to log in before you can comment on or make changes to this bug.